# Interface JUnitXmlReport

All Superinterfaces:
  `org.gradle.util.Configurable<Report>, ConfigurableReport, DirectoryReport, Report, Serializable`

public interface JUnitXmlReport extends DirectoryReport
The JUnit XML files, commonly used to communicate results to CI servers.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Report

`Report.OutputType`

## Field Summary

### Fields inherited from interface Report

`NAMER`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isOutputPerTestCase()`
Should the output be associated with individual test cases instead of at the suite level.
`void`
`setOutputPerTestCase(boolean outputPerTestCase)`
Should the output be associated with individual test cases instead of at the suite level.

### Methods inherited from interface org.gradle.util.Configurable

`configure`

### Methods inherited from interface ConfigurableReport

`setDestination, setDestination, setDestination, setEnabled, setEnabled`

### Methods inherited from interface DirectoryReport

`getDestination, getEntryPoint, getOutputType`

### Methods inherited from interface Report

`getDisplayName, getName, isEnabled`

## Method Details

### isOutputPerTestCase

@Incubating @Input boolean isOutputPerTestCase()
Should the output be associated with individual test cases instead of at the suite level.

### setOutputPerTestCase

@Incubating void setOutputPerTestCase(boolean outputPerTestCase)
Should the output be associated with individual test cases instead of at the suite level.